public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-containers/devcontainer/
Date: Thu, 30 Nov 2023 16:54:50 +0000 (UTC)	[thread overview]
Message-ID: <1701363144.c45e2353227db9ddb0373ae9a32e352c8a19d923.xgqt@gentoo> (raw)

commit:     c45e2353227db9ddb0373ae9a32e352c8a19d923
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 30 08:19:29 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Nov 30 16:52:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c45e2353

app-containers/devcontainer: bump to 0.54.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-containers/devcontainer/Manifest               |  1 +
 .../devcontainer/devcontainer-0.54.1.ebuild        | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/app-containers/devcontainer/Manifest b/app-containers/devcontainer/Manifest
index 4b5c1f198026..aa7df8897132 100644
--- a/app-containers/devcontainer/Manifest
+++ b/app-containers/devcontainer/Manifest
@@ -1,3 +1,4 @@
 DIST devcontainer-0.52.1.tgz 614268 BLAKE2B e1e2979e7d105e0082db4019260b7015c6bab9899f43e75ff1246f879bd659557404ca2f10ffa021bd5cf2caaff6f0dad53ca8b8c48e7f082d00961c9982faf0 SHA512 b182b57071c356374121dc63301f0eebaf3ea9fd0000424f31b78c47d6536d4cd74013647bcf2f50e67a0c3f528eca9e1397acf12a565fa8d5ea0688b73245c8
 DIST devcontainer-0.53.0.tgz 614575 BLAKE2B b7279b629cae49da39eca9defa17055b94c95db8ed79f78ec869f15a361ae12b4142817433e789c0d1231a753a1c7cc0247d5de738981f0f17c61de82aa7a8c9 SHA512 942e3b4b4ab19de876f22fcad16a1b41e5edc271cafcbc3281f198a80156e44ea94217cfcb4e0ef63ca96e6e854e030f4f70a51e7bcc655f0cb8cf23dcf003dc
 DIST devcontainer-0.54.0.tgz 603716 BLAKE2B fc3853f69b88c8d31b5bce463e9ca4e393e6084286f9f3ffc504c1bff27f90e276168ac09f42354dc1498c98ac8336ee4b85dd5605d10c7f31d156ea2f33a95b SHA512 197bfe938d31280a27c02091ac9a5288b70993e305290444fcb11886f03c81899391ca7797e532469764e54fcc3dfc93ba73f306a3f4a08d5e8b6bf38609f456
+DIST devcontainer-0.54.1.tgz 603740 BLAKE2B ea3dddfa4788efa704d73fae109b7c844d64c01a3be50a94be847a037af2a8878caca546a3b99bf0e54faabca27309f75c11b480a7b7d51c8b6f3438a55f3e65 SHA512 0eb8da1b74f23c30da8ff01244760cfb0dab857a8397b4995bb8228393624e376c9a7631aa1fe87164464221b8592c6397aa687032d4f8c1fd9e6225a8b394f6

diff --git a/app-containers/devcontainer/devcontainer-0.54.1.ebuild b/app-containers/devcontainer/devcontainer-0.54.1.ebuild
new file mode 100644
index 000000000000..399665b46cde
--- /dev/null
+++ b/app-containers/devcontainer/devcontainer-0.54.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Reference implementation of the Development Containers specification"
+HOMEPAGE="https://containers.dev/
+	https://github.com/devcontainers/cli/"
+SRC_URI="https://registry.npmjs.org/@devcontainers/cli/-/cli-${PV}.tgz
+	-> ${P}.tgz"
+S="${WORKDIR}/package"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	net-libs/nodejs
+"
+BDEPEND="
+	>=net-libs/nodejs-16[npm]
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_compile() {
+	# Skip, nothing to compile here.
+	:
+}
+
+src_install() {
+	local -a my_npm_opts=(
+		--audit false
+		--color false
+		--foreground-scripts
+		--global
+		--offline
+		--omit dev
+		--prefix "${ED}/usr"
+		--progress false
+		--verbose
+	)
+	npm "${my_npm_opts[@]}" install "${DISTDIR}/${P}.tgz" || die "npm install failed"
+
+	einstalldocs
+}


             reply	other threads:[~2023-11-30 16:54 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-30 16:54 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-27  5:30 [gentoo-commits] repo/gentoo:master commit in: app-containers/devcontainer/ Arthur Zamarin
2024-09-11 23:30 Maciej Barć
2024-09-06 23:11 Maciej Barć
2024-09-06 23:11 Maciej Barć
2024-09-03 18:44 Maciej Barć
2024-09-03 18:44 Maciej Barć
2024-09-03 18:32 Jakov Smolić
2024-08-17 15:33 Jakov Smolić
2024-08-17 13:27 Maciej Barć
2024-08-17 13:27 Maciej Barć
2024-08-01 16:47 Arthur Zamarin
2024-07-31  0:03 Maciej Barć
2024-07-31  0:03 Maciej Barć
2024-07-21 19:48 Arthur Zamarin
2024-07-12 12:35 Maciej Barć
2024-07-12 12:35 Maciej Barć
2024-07-09  2:56 Sam James
2024-06-27 22:42 Maciej Barć
2024-06-15 22:23 Maciej Barć
2024-06-15 22:23 Maciej Barć
2024-06-07 17:46 Arthur Zamarin
2024-06-04 15:17 Maciej Barć
2024-06-04 15:17 Maciej Barć
2024-05-24  0:34 Sam James
2024-05-08 12:42 Maciej Barć
2024-05-08 12:42 Maciej Barć
2024-04-23  1:31 Sam James
2024-04-22 23:01 Maciej Barć
2024-04-11  1:38 Maciej Barć
2024-04-04  9:01 Jakov Smolić
2024-03-23  0:49 Maciej Barć
2024-03-23  0:49 Maciej Barć
2024-03-15 21:51 Sam James
2024-03-04 21:58 Maciej Barć
2024-03-04 21:58 Maciej Barć
2024-03-04 21:58 Maciej Barć
2024-02-27 23:21 Sam James
2024-02-19 22:06 Sam James
2024-02-14 17:01 Maciej Barć
2024-01-23 22:07 Maciej Barć
2024-01-23 22:07 Maciej Barć
2024-01-22  5:53 Sam James
2024-01-18  9:43 Maciej Barć
2023-12-22  5:07 Sam James
2023-12-22  1:03 Maciej Barć
2023-12-16 21:45 Maciej Barć
2023-12-16 21:45 Maciej Barć
2023-12-08  0:29 Maciej Barć
2023-12-08  0:29 Maciej Barć
2023-11-30 16:54 Maciej Barć
2023-11-23 15:12 Maciej Barć
2023-11-15 19:27 Maciej Barć
2023-11-15 19:27 Maciej Barć
2023-10-17 13:39 Maciej Barć
2023-10-07 14:57 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1701363144.c45e2353227db9ddb0373ae9a32e352c8a19d923.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox